EDIT - task #8501

setup OWASP vulnerability checker for projects

08/29/2019 12:10 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: devOps Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

The (jenkins plugin](https://wiki.jenkins.io/display/JENKINS/OWASP +Dependency-Check+Plugin) seems not to be working with

maven multi project configurations.

A workaround could be to use the maven plugin and to let jenkins do the analysis and reporting.

projects to be equipped with the vulnerability checker:

e cdmlib

e cdm-vaadin
e cdm-server
¢ taxeditor

History

#1 - 08/29/2019 12:11 PM - Andreas Kohlbecker

- Tags set to security

#2 - 09/20/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#3 - 11/04/2019 04:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#4 - 01/15/2020 06:22 PM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#5 - 03/10/2020 09:28 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#6 - 04/08/2020 03:52 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#7 - 06/23/2020 02:00 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#8 - 12/01/2020 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#9 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#10 - 03/10/2021 02:53 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#11 - 04/19/2021 04:32 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

04/10/2024

1/1



https://wiki.jenkins.io/display/JENKINS/OWASP+Dependency-Check+Plugin
https://jeremylong.github.io/DependencyCheck/dependency-check-maven/configuration.html
http://www.tcpdf.org

